Package org.globus.myproxy

# Class GetParams

java.lang.Object
org.globus.myproxy.Params
org.globus.myproxy.GetParams

All Implemented Interfaces:
  `MyProxyConstants`

public class GetParams extends Params
Holds the parameters for the `get` operation.

## Field Summary

### Fields inherited from class org.globus.myproxy.Params

`lifetime, passphrase, username`

### Fields inherited from interface org.globus.myproxy.MyProxyConstants

`COMMAND, CRED_DESC, CRED_NAME, CRED_RETRIEVER_TRUSTED, CRLF, DEFAULT_LIFETIME, LIFETIME, MIN_PASSWORD_LENGTH, MYPROXY_PROTOCOL_VERSION, NEW_PHRASE, PASSPHRASE, RENEWER, RETRIEVER, TRUSTROOTS, USERNAME, VERSION, VOMSES, VONAME`

## Constructor Summary

Constructors
Constructor
Description
`GetParams()`
`GetParams(String username, String passphrase)`

## Method Summary

Modifier and Type
Method
Description
`GSSCredential`
`getAuthzCreds()`
`String`
`getCredentialName()`
`List`
`getVomses()`
`List`
`getVoname()`
`boolean`
`getWantTrustroots()`
`protected String`
`makeRequest(boolean includePassword)`
Serializes the parameters into a MyProxy request.
`void`
`setAuthzCreds(GSSCredential creds)`
Set credentials for renewal authorization.
`void`
`setCredentialName(String credentialName)`
`void`
`setVomses(List vomses)`
`void`
`setVoname(List voname)`
`void`
`setWantTrustroots(boolean wantTrustroots)`

### Methods inherited from class org.globus.myproxy.Params

`add, checkPassphrase, getLifetime, getPassphrase, getUserName, makeRequest, setCommand, setLifetime, setPassphrase, setUserName, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GetParams

public GetParams()

### GetParams

public GetParams(String username, String passphrase)

## Method Details

### setCredentialName

public void setCredentialName(String credentialName)

### getCredentialName

public String getCredentialName()

### setWantTrustroots

public void setWantTrustroots(boolean wantTrustroots)

### getWantTrustroots

public boolean getWantTrustroots()

### setVoname

public void setVoname(List voname)

### getVoname

public List getVoname()

### setVomses

public void setVomses(List vomses)

### getVomses

public List getVomses()

### setAuthzCreds

public void setAuthzCreds(GSSCredential creds)
Set credentials for renewal authorization.

Parameters:
  `creds` - The credentials to renew.

### getAuthzCreds

public GSSCredential getAuthzCreds()

### makeRequest

protected String makeRequest(boolean includePassword)
Description copied from class: `Params`
Serializes the parameters into a MyProxy request. Subclasses should overwrite this function and append the custom parameters to the output of this function.

Overrides:
  `makeRequest` in class `Params`